mapCoordinateSystem {oce} | R Documentation

## Draw a coordinate system

### Description

Draws arrows on a map to indicate a coordinate system, e.g. for an to indicate a coordinate system set up so that one axis is parallel to a coastline.

### Usage

    mapCoordinateSystem(longitude, latitude, L = 100, phi = 0, ...)

### Arguments

`longitude` | numeric value of longiutde in degrees.
`latitude` | numeric value of latitude in degrees.
`L` | axis length in km.
`phi` | angle, in degrees counterclockwise, that the "x" axis makes to a line of latitude.
`...` | plotting arguments, passed to `mapArrows`; see “Examples” for how to control the arrow-head size.

### Details

This is a preliminary version of this function. It only works if the lines of constant latitude are horizontal on the plot.

### Author(s)

Chantelle Layton

### Examples

    ## Not run:
    library(oce)
    data(coastlineWorldFine, package='ocedata')
    HfxLon <- -63.5752
    HfxLat <- 44.6488
    mapPlot(coastlineWorldFine, proj='+proj=merc',
            longitudelim=HfxLon+c(-2,2), latitudelim=HfxLat+c(-2,2),
            col='lightgrey')
    mapCoordinateSystem(HfxLon, HfxLat, phi=45, length=0.05)

    ## End(Not run)

[Package oce version 0.9-22 Index]